Summary:	Policy analysis tools for SELinux
Summary(pl.UTF-8):	Narzędzia do analizy polityk SELinuksa
Name:		setools
Version:	4.5.1
Release:	1
License:	GPL v2+ (tools), LGPL v2.1+ (libraries)
Group:		Applications/System
#Source0Download: https://github.com/SELinuxProject/setools/releases
Source0:	https://github.com/SELinuxProject/setools/releases/download/%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	3929840f5dcf006ee1eb2e88c258ed02
URL:		https://github.com/SELinuxProject/setools/wiki
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	libsepol-devel >= 2.7
BuildRequires:	libsepol-static >= 2.7
BuildRequires:	python3-Cython >= 0.29.14
BuildRequires:	python3-devel >= 1:3.10
BuildRequires:	python3-setuptools
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	swig-python >= 2.0.12
Suggests:	policy-sources
Requires:	python3-setools = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SETools is a collection of graphical tools, command-line tools, and
libraries designed to facilitate SELinux policy analysis.

The base package includes the following console tools:
- seaudit-report: audit log analysis tool
- sechecker: SELinux policy checking tool
- secmds command line tools: seinfo, sesearch, findcon, replcon, and
  indexcon
- sediff: semantic policy difference tool

%description -l pl.UTF-8
SETools to zbiór narzędzi graficznych, narzędzi linii poleceń oraz
bibliotek mających na celu ułatwienie analizy polityk SELinuksa.

Pakiet podstawowy zawiera narzędzia terminalowe:
- seaudit-report - narzędzie do analizy logu audytowego
- sechecker - narzędzie do sprawdzania polityk SELinuksa
- narzędzia linii poleceń secmds: seinfo, sesearch, findcon, replcon
  oraz indexcon
- sediff - narzędzie do znajdywania różnic semantycznych polityk

%package gui
Summary: Policy analysis graphical tools for SELinux
Summary(pl.UTF-8):	Graficzne narzędzia do analizy polityk SELinuksa
License:	GPL v2+
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}
Requires:	python3-setoolsgui = %{version}-%{release}

%description gui
SETools is a collection of graphical tools, command-line tools, and
libraries designed to facilitate SELinux policy analysis.

This package includes the following graphical tools:
- apol: policy analysis tool

%description gui -l pl.UTF-8
SETools to zbiór narzędzi graficznych, narzędzi linii poleceń oraz
bibliotek mających na celu ułatwienie analizy polityk SELinuksa.

Ten pakiet zawiera narzędzia graficzne:
- apol - narzędzie do analizy polityk

%package -n python3-setools
Summary:	Python 3 bindings for SELinux policy analysis libraries
Summary(pl.UTF-8):	Wiązania Pythona 3 do bibliotek analizy polityk SELinuksa
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.10
Requires:	python3-networkx >= 2.6
Suggests:	python3-selinux
Obsoletes:	python-setools < 4.2

%description -n python3-setools
SETools is a collection of graphical tools, command-line tools, and
libraries designed to facilitate SELinux policy analysis.

This package includes Python bindings for SELinux policy analysis
libraries.

%description -n python3-setools -l pl.UTF-8
SETools to zbiór narzędzi graficznych, narzędzi linii poleceń oraz
bibliotek mających na celu ułatwienie analizy polityk SELinuksa.

Ten pakiet zawiera wiązania Pythona do bibliotek analizy polityk
SELinuksa.

%package -n python3-setoolsgui
Summary:	SETools GUI modules for Python 3
Summary(pl.UTF-8):	Moduły graficznego interfejsu użytkownika SETools dla Pythona 3
Group:		Libraries/Python
Requires:	python3-setools = %{version}-%{release}
Requires:	python3-PyQt6 >= 6
Obsoletes:	python-setoolsgui < 4.2

%description -n python3-setoolsgui
SETools GUI modules for Python 3.

%description -n python3-setoolsgui -l pl.UTF-8
Moduły graficznego interfejsu użytkownika SETools dla Pythona 3.

%prep
%setup -q -n %{name}

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/sediff
%attr(755,root,root) %{_bindir}/sedta
%attr(755,root,root) %{_bindir}/seinfo
%attr(755,root,root) %{_bindir}/seinfoflow
%attr(755,root,root) %{_bindir}/sesearch
%{_mandir}/man1/sediff.1*
%{_mandir}/man1/sedta.1*
%{_mandir}/man1/seinfo.1*
%{_mandir}/man1/seinfoflow.1*
%{_mandir}/man1/sesearch.1*
%lang(ru) %{_mandir}/ru/man1/sediff.1*
%lang(ru) %{_mandir}/ru/man1/sedta.1*
%lang(ru) %{_mandir}/ru/man1/seinfo.1*
%lang(ru) %{_mandir}/ru/man1/seinfoflow.1*
%lang(ru) %{_mandir}/ru/man1/sesearch.1*

%files gui
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/apol
%attr(755,root,root) %{_bindir}/sechecker
%{_mandir}/man1/apol.1*
%{_mandir}/man1/sechecker.1*
%lang(ru) %{_mandir}/ru/man1/apol.1*

%files -n python3-setools
%defattr(644,root,root,755)
%doc COPYING ChangeLog KNOWN-BUGS README.md
%dir %{py3_sitedir}/setools
%{py3_sitedir}/setools/diff
%attr(755,root,root) %{py3_sitedir}/setools/policyrep.cpython-*.so
%{py3_sitedir}/setools/*.py
%{py3_sitedir}/setools/checker
%{py3_sitedir}/setools/perm_map
%{py3_sitedir}/setools/policyrep.pyi
%{py3_sitedir}/setools/py.typed
%{py3_sitedir}/setools/__pycache__
%{py3_sitedir}/setools-%{version}-py*.egg-info

%files -n python3-setoolsgui
%defattr(644,root,root,755)
%{py3_sitedir}/setoolsgui
%changelog
* Fri Mar 21 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/setools.git;a=log;h=master

* Fri Mar 21 2025 Jakub Bogusz <qboosh@pld-linux.org> d67101a
- updated to 4.5.1 (PyQt6 now)

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 5d8c562
- python 3.13 rebuild

* Wed Jul 17 2024 Jakub Bogusz <qboosh@pld-linux.org> 39d5e30
- package ru man pages, cleaned up obsolete export

* Wed Jul 17 2024 Jakub Bogusz <qboosh@pld-linux.org> 6b1400f
- obsolete python2 setools modules (incompatible with updated policydb structures)

* Wed Jan 10 2024 Jan Palus <atler@pld-linux.org> 9bcec57
- up to 4.4.4

* Wed Jan 10 2024 Jan Palus <atler@pld-linux.org> 20c2191
- BR: python3-Cython

* Wed Jan 10 2024 Jan Palus <atler@pld-linux.org> bf90e8f
- drop package information for python-setools/python-setoolsgui

* Wed Jan 10 2024 Jan Palus <atler@pld-linux.org> b283800
- update URL

* Thu Mar 31 2022 Jakub Bogusz <qboosh@pld-linux.org> 315a487
- when dropping spec support for python 3.3, bump BR

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 89be68b
- cleanup py3 module deps, rel 7

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> faa44a4
- Release 6 (by relup.sh)

* Mon Mar 28 2022 Jan Rękorajski <baggins@pld-linux.org> ce05613
- Release 5 (by relup.sh)

* Mon Mar 28 2022 Jan Rękorajski <baggins@pld-linux.org> 0846d9f
- Release 4 (by relup.sh)

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 4243499
- rebuild with python 3.10

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> e9552e4
- rebuild with separate debuginfo build-ids

* Wed Mar 03 2021 Jan Rękorajski <baggins@pld-linux.org> 8614c0a
- up to 4.3.0

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 5fbbf66
- release 4 (by relup.sh)

* Sun Nov 03 2019 Jan Rękorajski <baggins@pld-linux.org> e904bba
- don't treat warning as errors, this code is not up to gcc 9 standards
- rel 3

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 0b2ecfb
- rebuild with python 3.8
- release 2 (by relup.sh)

* Sun Sep 22 2019 Jan Rękorajski <baggins@pld-linux.org> ffc3e54
- up to 4.2.2
- python2 support dropped upstream

